39
Views
12
Comments
iOS 14 Issue with Input Date Type
Question

Hello,


I am experiencing an issue with several iOS 14 devices regarding input date type in mobile apps.

It opens the default text keyboard instead of the native date picker.

Someone with the same issue? If so, there is any type of workaround?


Best regards,

Gonçalo Condeça.

mvp_badge
MVP
Rank: #2

Hi Gonçalo,

These are inputs that have "type='date'" in the input?

mvp_badge
MVP
Rank: #2

Ok, thanks for the feedback. I'll ask around if anyone has seen this before.

EDIT: A quick Google shows you're not the only one having this problem.

Rank: #203

Hey Gonçalo, have you managed to solve this problem?

As I saw in stack overflow the solution would be to update cordova.

Have you found a workaround for OutSystems without upgrading cordova?


Hi, 

same problem here. Any new about this?

Hello,


Changing the MABS to 6.2 solved the problem for me.

After that just reinstall the app and it should be ok.


Best regards,

Gonçalo Condeça.

The weird thing is: 

I installed the dev version with 6.1 and it is working

I installed the App Store version also in 6.1 and it is not working ??

Rank: #203

Hey guys, 

Do you know if there is any documentation on how to upgrade MABS without upgrading the platform server?

Is that possible?

Rank: #203

Just to clarify for future viewers, I noticed that the option to choose the version of MABS that you want to use was implemented in platform server 10 just in version 10.0.1005.2 as you can see:





Older versions of Platform service will not have this option (Which is my case).

But since MABS is a service consumed directly from OutSystems as you can see here, (See image bellow also)...



...Older versions of the platform that don't have the option to choose the MABS will always target the last version available. And is not possible to downgrade or check the version of MABS used in the generated apps in older platform versions.


What can be done in this case, to know what version were used, is to compare the release date of MABS with the release date of your generated apps.

You can check the released dates of MABS versions here.

And the date that you build your app will be logged in Service Center's Mobile App build Tab.


Rank: #203

UPDATE...

I had opened a support Ticket about this issue and the first answer that OutSystems gave to me is that the older versions of platform server would target the last MABS version...


However since I was getting another problem when trying to generate a build, I opened another Ticket and the answer I got this time was different.

According to the new info the version of MABS used in older versions was 5 at max as you can see here:


I'm waiting an answer to confirm what version of MABS will be used from now on, since they solved the issue


I will post the info as soon as I now it.

Cheers and Regards,

RR :)

mvp_badge
MVP
Rank: #2

Thanks for the update Raphael, I've asked OS to check why you received different answers.

Rank: #203

Thank you Kilian!

I have a new update saying that the version of MABS used now for the older platform versions (at least 10.0.804.0 that is mine) is 5.2, as you can see:




I asked again if there are any way to use the last version of MABS in the older PS (Platform Server) version, which was my original question, and will let you guys know if they answer :)


Cheers and Regards,

RR :)